<?php
	do {
		
		$rete = $row_pagamento_ven['Ir']+$row_pagamento_ven['Iss']+$row_pagamento_ven['Inss'];
		$credito = $row_pagamento_ven['Pis']+$row_pagamento_ven['Cofins']+$row_pagamento_ven['Csll']+$row_pagamento_ven['Desconto'];
		$debito = $row_pagamento_ven['Juros']+$row_pagamento_ven['Multa']; 
		
		
		//HP
		$hp_antigo = $historico_padrao_fornec;
		
		//Detalhado
		$detalhado = '';
		if($row_pagamento_ven['det'] <> null){ $detalhado .= $row_pagamento_ven['det'].' '; }
		if($row_pagamento_ven['NumFatura'] <> '00'){ $detalhado .= $row_pagamento_ven['NumFatura'].' '; }
		
		
		if($row_pagamento_ven['conta_fornec'] == 3619){ $historico_padrao_fornec = '455';}
		if($row_pagamento_ven['fornec_id'] == 168){ $historico_padrao_fornec = '254';}
		if($row_pagamento_ven['conta_fornec'] == 1153){ $historico_padrao_fornec = '461';}
		if($row_pagamento_ven['conta_fornec'] == 1190){ $historico_padrao_fornec = '455';}
		if($row_pagamento_ven['conta_fornec'] == 1103){ $historico_padrao_fornec = '456';}
		if($row_pagamento_ven['conta_fornec'] == 1104){ $historico_padrao_fornec = '457';}
		if($row_pagamento_ven['conta_fornec'] == 1108){ $historico_padrao_fornec = '459';}
		if($row_pagamento_ven['conta_fornec'] == 1109){ $historico_padrao_fornec = '458';}
                if($row_pagamento_ven['conta_fornec'] == 122){ $historico_padrao_fornec = '264';}
		if($row_pagamento_ven['conta_fornec'] == 3575){ $historico_padrao_fornec = '465';}
		if($row_pagamento_ven['conta_fornec'] == 3576){ $historico_padrao_fornec = '465';}
		if($row_pagamento_ven['conta_fornec'] == 3568){ $historico_padrao_fornec = '464';}
		if($row_pagamento_ven['conta_fornec'] == 3570){ $historico_padrao_fornec = '466';}
		if($row_pagamento_ven['conta_fornec'] == 1155){ $historico_padrao_fornec = '467';}
		if($row_pagamento_ven['conta_fornec'] == 1154){ $historico_padrao_fornec = '468';}
		if($row_pagamento_ven['conta_fornec'] == 1102){ $historico_padrao_fornec = '469';}
		if($row_pagamento_ven['conta_fornec'] == 1102){ $historico_padrao_fornec = '470';}
		if($row_pagamento_ven['conta_fornec'] == 3519){ $historico_padrao_fornec = '471';}
		if($row_pagamento_ven['conta_fornec'] == 3520){ $historico_padrao_fornec = '472';}
		if($row_pagamento_ven['conta_fornec'] == 3810){ $historico_padrao_fornec = '473';}
		if($row_pagamento_ven['conta_fornec'] == 3811){ $historico_padrao_fornec = '474';}
		if($row_pagamento_ven['conta_fornec'] == 3812){ $historico_padrao_fornec = '475';}
		if($row_pagamento_ven['conta_fornec'] == 100){ $historico_padrao_fornec = '476';}
		if($row_pagamento_ven['conta_fornec'] == 3619){ $historico_padrao_fornec = '201';}
		if($row_pagamento_ven['conta_fornec'] == 3577){ $historico_padrao_fornec = '479';}
		if($row_pagamento_ven['conta_fornec'] == 9007){ $historico_padrao_fornec = '480';}
		if($row_pagamento_ven['conta_fornec'] == 1105){ $historico_padrao_fornec = '482';}
		if($row_pagamento_ven['conta_fornec'] == 9012){ $historico_padrao_fornec = '484';}
		if($row_pagamento_ven['conta_fornec'] == 272){ $historico_padrao_fornec = '487';}
		if($row_pagamento_ven['conta_fornec'] == 1175){ $historico_padrao_fornec = '488';}


		
			
		
		
		//Multiplo de DEBITO E CREDITO 
		if($credito >0 and $debito >0){
			
			if($row_pagamento_ven['Valor'] >0){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
			$texto .= str_pad('M', 7, " ", STR_PAD_RIGHT); // Conta Dedito
			$texto .= str_pad('M', 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_pagamento_ven['Valor'] ,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad('', 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= str_pad('', 200, " ", STR_PAD_RIGHT); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lancamento de JUROS
			if($row_pagamento_ven['Juros'] >0){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
				$texto .= str_pad($conta_juros_pag, 7, " ", STR_PAD_RIGHT); // Conta Dedito
				$texto .= str_pad('T', 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_pagamento_ven['Juros'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_juros_pag, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($detalhado, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lancamento de MULTA
			if($row_pagamento_ven['Multa'] >0){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
				$texto .= str_pad($conta_multa_pag, 7, " ", STR_PAD_RIGHT); // Conta Dedito
				$texto .= str_pad('T', 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_pagamento_ven['Multa'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_multa_pag, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($detalhado, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lancamento Fornecedor
			if(($row_pagamento_ven['Valor'] -$rete) >0){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
			$texto .= str_pad($row_pagamento_ven['conta_fornec'], 7, " ", STR_PAD_RIGHT); // Conta Dedito
			$texto .= str_pad('T', 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_pagamento_ven['Valor'] -$rete,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad($historico_padrao_fornec, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= substr(str_pad($detalhado, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lancamento de PIS
			if($row_pagamento_ven['Pis'] >0){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
				$texto .= str_pad('T', 7, " ", STR_PAD_RIGHT); // Conta Dedito
				$texto .= str_pad($conta_pis_pag, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_pagamento_ven['Pis'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_pis_pag, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($detalhado, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lancamento de COFINS
			if($row_pagamento_ven['Cofins'] >0){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
				$texto .= str_pad('T', 7, " ", STR_PAD_RIGHT); // Conta Dedito
				$texto .= str_pad($conta_cofins_pag, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_pagamento_ven['Cofins'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_cofins_pag, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($detalhado, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lancamento de CSLL
			if($row_pagamento_ven['Csll'] >0){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
				$texto .= str_pad('T', 7, " ", STR_PAD_RIGHT); // Conta Dedito
				$texto .= str_pad($conta_csll_pag, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_pagamento_ven['Csll'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_csll_pag, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($detalhado, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lancamento de Desconto
			if($row_pagamento_ven['Desconto'] >0){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
				$texto .= str_pad('T', 7, " ", STR_PAD_RIGHT); // Conta Dedito
				$texto .= str_pad($conta_desconto_pag, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_pagamento_ven['Desconto'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_desconto_pag, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($detalhado, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lacamento no Banco
			$cheque = '';
			if($row_pagamento_ven['Cheque'] <> '0'){ $cheque = ' Ch. '.$row_pagamento_ven['Cheque']; }
			if(($row_pagamento_ven['Valor'] -$rete-$credito+$debito)>0){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
			$texto .= str_pad('T', 7, " ", STR_PAD_RIGHT); // Conta Dedito
			$texto .= str_pad($row_pagamento_ven['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_pagamento_ven['Valor'] -$rete-$credito+$debito,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad($historico_padrao_banco_pag, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= substr(str_pad($detalhado.$cheque, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
		// Fechamento de Lancamento Multiplo DEBITO e CREDITO
		}
		
		//Multiplo de DEBITO 
		if($credito ==0 and $debito >0){
			
			$cheque = '';
			if($row_pagamento_ven['Cheque'] <> '0'){ $cheque = ' Ch. '.$row_pagamento_ven['Cheque']; }
			
			if(($row_pagamento_ven['Valor'] -$rete-$credito+$debito)>0){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
			$texto .= str_pad('M', 7, " ", STR_PAD_RIGHT); // Conta Dedito
			$texto .= str_pad($row_pagamento_ven['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_pagamento_ven['Valor'] -$rete-$credito+$debito,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad($historico_padrao_banco_pag, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= substr(str_pad($detalhado.$cheque, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lancamento de JUROS
			if($row_pagamento_ven['Juros'] >0){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
				$texto .= str_pad($conta_juros_pag, 7, " ", STR_PAD_RIGHT); // Conta Dedito
				$texto .= str_pad($row_pagamento_ven['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_pagamento_ven['Juros'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_juros_pag, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($detalhado, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lancamento de MULTA
			if($row_pagamento_ven['Multa'] >0){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
				$texto .= str_pad($conta_multa_pag, 7, " ", STR_PAD_RIGHT); // Conta Dedito
				$texto .= str_pad($row_pagamento_ven['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_pagamento_ven['Multa'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_multa_pag, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($detalhado, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lancamento Fornecedor
			if(($row_pagamento_ven['Valor'] -$rete) >0){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
			$texto .= str_pad($row_pagamento_ven['conta_fornec'], 7, " ", STR_PAD_RIGHT); // Conta Dedito
			$texto .= str_pad($row_pagamento_ven['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_pagamento_ven['Valor'] -$rete,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad($historico_padrao_fornec, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= substr(str_pad($detalhado, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
		// Fechamento de Lancamento Multiplo DEBITO
		}
		
		//Multiplo de CREDITO 
		if($credito >0 and $debito ==0){
		
			if(($row_pagamento_ven['Valor'] -$rete) >0){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
			$texto .= str_pad($row_pagamento_ven['conta_fornec'], 7, " ", STR_PAD_RIGHT); // Conta Dedito
			$texto .= str_pad('M', 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_pagamento_ven['Valor'] -$rete,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad($historico_padrao_fornec, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= substr(str_pad($detalhado, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lancamento de PIS
			if($row_pagamento_ven['Pis'] >0){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
				$texto .= str_pad($row_pagamento_ven['conta_fornec'], 7, " ", STR_PAD_RIGHT); // Conta Dedito
				$texto .= str_pad($conta_pis_pag, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_pagamento_ven['Pis'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_pis_pag, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($detalhado, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lancamento de COFINS
			if($row_pagamento_ven['Cofins'] >0){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
				$texto .= str_pad($row_pagamento_ven['conta_fornec'], 7, " ", STR_PAD_RIGHT); // Conta Dedito
				$texto .= str_pad($conta_cofins_pag, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_pagamento_ven['Cofins'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_cofins_pag, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($detalhado, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lancamento de CSLL
			if($row_pagamento_ven['Csll'] >0){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
				$texto .= str_pad($row_pagamento_ven['conta_fornec'], 7, " ", STR_PAD_RIGHT); // Conta Dedito
				$texto .= str_pad($conta_csll_pag, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_pagamento_ven['Csll'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_csll_pag, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($detalhado, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lancamento de Desconto
			if($row_pagamento_ven['Desconto'] >0){
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
				$texto .= str_pad($row_pagamento_ven['conta_fornec'], 7, " ", STR_PAD_RIGHT); // Conta Dedito
				$texto .= str_pad($conta_desconto_pag, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_pagamento_ven['Desconto'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_desconto_pag, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad($detalhado, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
			//Lacamento no Banco
			$cheque = '';
			if($row_pagamento_ven['Cheque'] <> '0'){ $cheque = ' Ch. '.$row_pagamento_ven['Cheque']; }
			if(($row_pagamento_ven['Valor'] -$rete-$credito+$debito) >0){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
			$texto .= str_pad($row_pagamento_ven['conta_fornec'], 7, " ", STR_PAD_RIGHT); // Conta Dedito
			$texto .= str_pad($row_pagamento_ven['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_pagamento_ven['Valor'] -$rete-$credito+$debito,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad($historico_padrao_banco_pag, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= substr(str_pad($detalhado.$cheque, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			}
		// Fechamento de Lancamento Multiplo CREDITO
		}
		
		//SIMPLES
		if($credito ==0 and $debito ==0){
			
			$cheque = '';
			if($row_pagamento_ven['Cheque'] <> '0'){ $cheque = ' Ch. '.$row_pagamento_ven['Cheque']; }
			if(($row_pagamento_ven['Valor'] - $rete) >0){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_pagamento_ven['dta_pagamento']; // Data do Movimento
			$texto .= str_pad($row_pagamento_ven['conta_fornec'], 7, " ", STR_PAD_RIGHT); // Conta Dedito
			$texto .= str_pad($row_pagamento_ven['banco_conta'], 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_pagamento_ven['Valor'] - $rete,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad($historico_padrao_fornec, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= substr(str_pad($detalhado.$cheque, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
		// Fechamento de Lancamento SIMPLES
		}
		
		
		$historico_padrao_fornec = $hp_antigo;
		
		if($texto <> ''){
		fwrite($fp,$texto); //Escrever no Arquivo
		$texto = '';
		$contador++;
		}

		
		$atualizar = "UPDATE mfin_pagamentos SET phoenix=CURDATE() WHERE Id= ".$row_pagamento_ven['pag_id'];
		mysql_query($atualizar, $paivaconex) or die(mysql_error());
		
	} while ($row_pagamento_ven = mysql_fetch_assoc($pagamento_ven));

?>